##### GENERAL STUFF #####

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif
Version:	0.5.9
Release:	1mdk
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/

##### SOURCE FILES #####

Source: http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-%{version}.tar.bz2

##### ADDITIONAL DEFINITIONS #####

Provides:	libexif
BuildRoot: %{_tmppath}/%{name}-buildroot

##### SUB-PACKAGES #####

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n libexif8
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif
Group:		Graphics

%description -n libexif8

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n libexif8-devel
Summary: 	Headers and links to compile against the "libexif8" library
Requires: 	libexif8 = %{version}
Provides:	libexif-devel
Group:		Graphics

%description -n libexif8-devel
This package contains all files which one needs to compile programs using
the "libexif8" library.


##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/libexif-%{version}
%setup -q -n libexif-%{version}

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
#./autogen.sh
%configure
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%find_lang %{name}

##### PRE/POST INSTALL SCRIPTS #####

%post -n libexif8 

/sbin/ldconfig

%postun -n libexif8 

/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libgpio0
%files -n libexif8
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog README
%{_libdir}/*.so.*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/*
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*

##### libgpio0-devel
%files -n libexif8-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

##### CHANGELOG #####

%changelog
* Thu Jan 16 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.9-1mdk
- Updated to version 0.5.9.

* Thu Dec  5 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.7-1mdk
- Updated to version 0.5.7.

* Fri Aug  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.4-1mdk
- Updated to version 0.5.4.

* Tue Jul  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.3-1mdk
- Initial release

